Bug 188954 - Filesystem browser using same shortcut as editor (F5)
Summary: Filesystem browser using same shortcut as editor (F5)
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Unspecified
: NOR normal (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-04-06 12:07 UTC by Robin Pedersen
Modified: 2011-08-13 18:21 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Pedersen 2009-04-06 12:07:51 UTC
Version:            (using KDE 4.2.2)
Installed from:    Unlisted Binary Package

F5 is the (hardcoded?) shortcut to refresh the filesystem browser. The same shortcut is used to reload the current document in the editor. When the browser has focus, F5 brings up a dialog reporting a shortcut conflict.

The only way to refresh the directory browser is to change the default shortcut for the editor component.
Comment 1 Dominik Haumann 2010-06-20 11:49:42 UTC
Related for CTRL+B: bug #236368
Comment 2 Dominik Haumann 2011-08-13 18:09:30 UTC
Git commit 2e1d843fa1b17ecf269b6a2e67dacc052e38eb8e by Dominik Haumann.
Committed on 13/08/2011 at 20:05.
Pushed by dhaumann into branch 'master'.

fix ambiguous shortcuts with file browser

BUG: 236368
BUG: 188954

M  +11   -1    kate/plugins/filebrowser/katefilebrowser.cpp

http://commits.kde.org/kate/2e1d843fa1b17ecf269b6a2e67dacc052e38eb8e
Comment 3 Dominik Haumann 2011-08-13 18:21:12 UTC
Git commit 78b998873f43b3b944a43b15216b0e1614443d5d by Dominik Haumann.
Committed on 13/08/2011 at 20:05.
Pushed by dhaumann into branch 'KDE/4.7'.

fix ambiguous shortcuts with file browser

BUG: 236368
BUG: 188954

M  +11   -1    kate/plugins/filebrowser/katefilebrowser.cpp

http://commits.kde.org/kate/78b998873f43b3b944a43b15216b0e1614443d5d